



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>python注释方法以及编码问题</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">python注释方法以及编码问题</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-03 17:03:40 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<hr>
<h3>一、单行注释</h3>
<p>　　在python中常使用“#”来进行单行注释，其快捷键为“ctrl+/”，如果要对多行代码也就是代码块进行注释时，也可以选中多行按下 “ctrl+/”来进行注释。</p>
<h3>二、多行注释</h3>
<p>  对于多行注释，可以在代码块的上下加上三个单引号或者双引号比如：</p>
<pre class="prettyprint linenums"><code>'''<br />
print(&quot;测试&quot;)<br />
'''<br />
&quot;&quot;&quot;<br />
print(&quot;测试&quot;)<br />
&quot;&quot;&quot;<br />
</code></pre>
<h3>三、ASCLL、Unicode和UTF-8三者之间的关系</h3>
<p>　　ASCULL编码是1个字节的，字母A用ASCLL编码是十进制的65，二进制的01000001；字符0用ASCLL编码是十进制的48，二进制的00110000，注意字符'0'和整数0是不同的。对于汉字来说已经超出了ASCULL编码的范围，如果继续用ASCULL对汉字进行编码是将会出现乱码现象，而Unicode编码通常是2个字节的，将汉字统一成Unicode编码后，乱码的问题就可以得到解决。用Unicode可以是乱码问题消失但同时也因为用Unicode编码比ASCULL编码需要多一倍的储存空间，在存储和传输上就十分不划算，这时候可变长编码的UTF-8编码就派上了用场可以节省很多的空间：<br /><br />
<img referrerpolicy="no-referrer"src="http://orb9ratx3.bkt.clouddn.com/17-7-23/92473443.jpg"><br /><br />
　　在计算机内存中，统一使用的是Unicode的编码，当需要保存到硬盘或者需要传输的时候，就转换为UTF-8编码。用记事本编辑的时候，从文件读取的UTF-8字符被转换为Unicode字符到内存中，编辑完成后，保存的时候再把Unicode转换为UTF-8保存到文件：<br /><br />
    <img referrerpolicy="no-referrer"src="http://orb9ratx3.bkt.clouddn.com/17-7-23/85820958.jpg"><br /><br />
　　在浏览网页的时候，服务器会把动态生成的Unicode内容转换为UTF-8再传输到浏览器上：<br /><br />
    <img referrerpolicy="no-referrer"src="http://orb9ratx3.bkt.clouddn.com/17-7-23/10795180.jpg"><br /><br />
　　由于Python源代码也是一个文本文件，因此当我们的源代码中包含了中文的时候，在保存源代码的时候，就需要指定保存为UTF-8编码。当Python解释器读取源代码时，为了能让它按UTF-8编码读取，我们通常在文件的开头写上这两行：</p>
<pre class="prettyprint linenums"><code>#!/usr/bin/env python3<br />
# -*- coding: utf-8 -*-<br />
</code></pre>
<p>　　第一行注释是为了告诉Linux/OSX系统，这是一个Python可执行程序，Windows系统会忽略这个注释；<br /><br />
　　第二行注释是为了告诉Python解释器，按照UTF-8编码读取源代码，否则，你在源代码中写的中文输出可能会有乱码。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zle2dq.html">敲-PHP与MySQL，JSON</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mgpx08.html">digitalocean添加ssh&lowbar;keys</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0zgxwq.html">JMS生产者&plus;单线程发送-我们到底能走多远系列（29）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd4e4jq.html">discuz制作</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wgnv3q.html">mysql table readonly</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zopo29.html">android 65  文件访问权限</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn6k56q.html">ASP&period;NET中常用重置数据的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok001l9.html">Android中的Surface和SurfaceView</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0w62lq.html">&amp;lt&semi;runtime&amp;gt&semi; 的 &amp;lt&semi;assemblyBinding&amp;gt&semi; 元素</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m4wyeq.html">Spring、基本类型属性和集合类型属性的注入</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo1wknq.html">Spring整合Jms学习&lpar;三&rpar;&lowbar;MessageConverter介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mpdlo8.html">laravel5 事务回滚</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1gj0yq.html">关于ico图标</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jy1req.html">C&num;版微信公众号支付&vert;微信H5支付&vert;微信扫码支付问题汇总及解决方案总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwgdxz9.html">S2T40，第四章，简答4</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv23zjo9.html">springboot整合devtool无法热部署</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw2rp78.html">String的substring方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllxpleq.html">2018-02-18 Antlr4实现简单语言之条件语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/960k0rn9.html">Exception in thread &amp;quot&semi;main&amp;quot&semi; org&period;springframework&period;beans&period;factory&period;NoSuchBeanDefinitionException</a>
		</li>
						<li><a href="https://www.batexi.com/a/90r3le39.html">Scrapy -  CrawlSpider爬虫</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8zo3lovq.html">php日期格式转换</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojyo45q.html">WebService中的WSDL详解 及jmeter测试</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2j3vz38.html">Angular4&period;0从入门到实战打造在线竞拍网站学习笔记之三--依赖注入</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1k42e59.html">springMVC 中几种获取request和response的方式</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljv0o69.html">CocoaPods详解之----制作篇【转】</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1kw31q.html">Ext js Grid</a>
			</li>
						<li><a href="https://www.batexi.com/a/93y72y08.html">POJ-3522 Slim Span（最小生成树）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jzl3v48.html">Linux - 简明Shell编程15 - 调试（Debug）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zo3wmnq.html">python学习之核心数据类型</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zo3023q.html">python连接数据库异步存储</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
